# Generated from calendarjs-rails-1.0.10.gem by gem2rpm -*- rpm-spec -*-
%global gem_name calendarjs-rails

Name: rubygem-%{gem_name}
Version: 1.0.10
Release: 1%{?dist}
Summary: The Baremetrics Calendar JavaScript library ready to play with the Rails Asset Pipeline
License: Apache 2.0
URL: https://github.com/vkmagalhaes/calendarjs-rails
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rails) >= 4.2.0
# BuildRequires: rubygem(rails) < 4.3
# BuildRequires: rubygem(test-unit) >= 3.2
# BuildRequires: rubygem(test-unit) < 4
BuildArch: noarch

%description
The Baremetrics Calendar date range picker is a simplified solution for
selecting both date ranges and single dates all from a single calender view.
This gem allows for its easy inclusion into the rails asset pipeline.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%{gem_instdir}/news.md
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/test

%changelog
* Mon Sep 13 2021 mockbuilder - 1.0.10-1
- Initial package
